/*
 * Copyright (C) 2021 Intel Corporation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

// !!! DO NOT EDIT THIS FILE !!!

#ifndef __MODULE_TAGS_HPP__
#define __MODULE_TAGS_HPP__

#ifdef __clang__
#pragma clang diagnostic push
#pragma clang diagnostic ignored "-Werror"
#pragma clang diagnostic ignored "-Wformat-nonliteral"
#pragma clang diagnostic ignored "-Wformat-security"
#endif

enum ModuleTags {
      GENERATED_TAGS_3atest = 0,
      GENERATED_TAGS_ATEUnit = 1,
      GENERATED_TAGS_AiqCore = 2,
      GENERATED_TAGS_AiqEngine = 3,
      GENERATED_TAGS_AiqInitData = 4,
      GENERATED_TAGS_AiqResult = 5,
      GENERATED_TAGS_AiqResultStorage = 6,
      GENERATED_TAGS_AiqSetting = 7,
      GENERATED_TAGS_AiqUnit = 8,
      GENERATED_TAGS_AiqUtils = 9,
      GENERATED_TAGS_BufferQueue = 10,
      GENERATED_TAGS_CASE_3A_CONTROL = 11,
      GENERATED_TAGS_CASE_AIQ = 12,
      GENERATED_TAGS_CASE_API_MULTI_THREAD = 13,
      GENERATED_TAGS_CASE_BUFFER = 14,
      GENERATED_TAGS_CASE_CIPR = 15,
      GENERATED_TAGS_CASE_COMMON = 16,
      GENERATED_TAGS_CASE_CPF = 17,
      GENERATED_TAGS_CASE_DEVICE_OPS = 18,
      GENERATED_TAGS_CASE_DUAL = 19,
      GENERATED_TAGS_CASE_GRAPH = 20,
      GENERATED_TAGS_CASE_IQ_EFFECT = 21,
      GENERATED_TAGS_CASE_PAL_P2P = 22,
      GENERATED_TAGS_CASE_PARAMETER = 23,
      GENERATED_TAGS_CASE_PER_FRAME = 24,
      GENERATED_TAGS_CASE_STATIC_INFO = 25,
      GENERATED_TAGS_CASE_STREAM_OPS = 26,
      GENERATED_TAGS_CASE_THREAD = 27,
      GENERATED_TAGS_CASE_VIRTUAL_CHANNEL = 28,
      GENERATED_TAGS_CIPR_BUFFER = 29,
      GENERATED_TAGS_CIPR_COMMAND = 30,
      GENERATED_TAGS_CIPR_CONTEXT = 31,
      GENERATED_TAGS_CIPR_EVENT = 32,
      GENERATED_TAGS_Camera2Module = 33,
      GENERATED_TAGS_Camera3AMetadata = 34,
      GENERATED_TAGS_Camera3Buffer = 35,
      GENERATED_TAGS_Camera3BufferPool = 36,
      GENERATED_TAGS_Camera3Channel = 37,
      GENERATED_TAGS_Camera3Format = 38,
      GENERATED_TAGS_Camera3HAL = 39,
      GENERATED_TAGS_Camera3HALModule = 40,
      GENERATED_TAGS_Camera3HWI = 41,
      GENERATED_TAGS_Camera3Stream = 42,
      GENERATED_TAGS_CameraBuffer = 43,
      GENERATED_TAGS_CameraDevice = 44,
      GENERATED_TAGS_CameraDump = 45,
      GENERATED_TAGS_CameraEvent = 46,
      GENERATED_TAGS_CameraHal = 47,
      GENERATED_TAGS_CameraHardwareSoc = 48,
      GENERATED_TAGS_CameraLog = 49,
      GENERATED_TAGS_CameraMetadata = 50,
      GENERATED_TAGS_CameraParser = 51,
      GENERATED_TAGS_CameraShm = 52,
      GENERATED_TAGS_CameraStream = 53,
      GENERATED_TAGS_Camera_PolicyManager = 54,
      GENERATED_TAGS_CaptureUnit = 55,
      GENERATED_TAGS_ColorConverter = 56,
      GENERATED_TAGS_CscPipeline = 57,
      GENERATED_TAGS_CscProcessor = 58,
      GENERATED_TAGS_CsiMetaDevice = 59,
      GENERATED_TAGS_Customized3A = 60,
      GENERATED_TAGS_CustomizedAic = 61,
      GENERATED_TAGS_DeviceBase = 62,
      GENERATED_TAGS_Dvs = 63,
      GENERATED_TAGS_EXIFMaker = 64,
      GENERATED_TAGS_EXIFMetaData = 65,
      GENERATED_TAGS_ExifCreater = 66,
      GENERATED_TAGS_FaceDetection = 67,
      GENERATED_TAGS_FaceDetectionPVL = 68,
      GENERATED_TAGS_FaceSSD = 69,
      GENERATED_TAGS_FileSource = 70,
      GENERATED_TAGS_GPUExecutor = 71,
      GENERATED_TAGS_GenGfx = 72,
      GENERATED_TAGS_GfxGen = 73,
      GENERATED_TAGS_GraphConfig = 74,
      GENERATED_TAGS_GraphConfigImpl = 75,
      GENERATED_TAGS_GraphConfigImplClient = 76,
      GENERATED_TAGS_GraphConfigManager = 77,
      GENERATED_TAGS_GraphConfigPipe = 78,
      GENERATED_TAGS_GraphConfigServer = 79,
      GENERATED_TAGS_GraphUtils = 80,
      GENERATED_TAGS_HAL_FACE_DETECTION_TEST = 81,
      GENERATED_TAGS_HAL_basic = 82,
      GENERATED_TAGS_HAL_jpeg = 83,
      GENERATED_TAGS_HAL_multi_streams_test = 84,
      GENERATED_TAGS_HAL_rotation_test = 85,
      GENERATED_TAGS_HAL_supported_streams_test = 86,
      GENERATED_TAGS_HAL_yuv = 87,
      GENERATED_TAGS_HalV3Utils = 88,
      GENERATED_TAGS_I3AControlFactory = 89,
      GENERATED_TAGS_IA_CIPR_UTILS = 90,
      GENERATED_TAGS_ICamera = 91,
      GENERATED_TAGS_IFaceDetection = 92,
      GENERATED_TAGS_IPCIntelPGParam = 93,
      GENERATED_TAGS_IPC_FACE_DETECTION = 94,
      GENERATED_TAGS_IPC_GRAPH_CONFIG = 95,
      GENERATED_TAGS_ImageProcessorCore = 96,
      GENERATED_TAGS_ImageScalerCore = 97,
      GENERATED_TAGS_Intel3AParameter = 98,
      GENERATED_TAGS_IntelAEStateMachine = 99,
      GENERATED_TAGS_IntelAFStateMachine = 100,
      GENERATED_TAGS_IntelAWBStateMachine = 101,
      GENERATED_TAGS_IntelAlgoClient = 102,
      GENERATED_TAGS_IntelAlgoCommonClient = 103,
      GENERATED_TAGS_IntelAlgoServer = 104,
      GENERATED_TAGS_IntelCPUAlgoServer = 105,
      GENERATED_TAGS_IntelCca = 106,
      GENERATED_TAGS_IntelCcaClient = 107,
      GENERATED_TAGS_IntelCcaServer = 108,
      GENERATED_TAGS_IntelFDServer = 109,
      GENERATED_TAGS_IntelFaceDetection = 110,
      GENERATED_TAGS_IntelFaceDetectionClient = 111,
      GENERATED_TAGS_IntelGPUAlgoServer = 112,
      GENERATED_TAGS_IntelPGParam = 113,
      GENERATED_TAGS_IntelPGParamClient = 114,
      GENERATED_TAGS_IntelPGParamS = 115,
      GENERATED_TAGS_IntelTNR7US = 116,
      GENERATED_TAGS_IntelTNR7USClient = 117,
      GENERATED_TAGS_IntelTNRServer = 118,
      GENERATED_TAGS_IspControlUtils = 119,
      GENERATED_TAGS_IspParamAdaptor = 120,
      GENERATED_TAGS_JpegEncoderCore = 121,
      GENERATED_TAGS_JpegMaker = 122,
      GENERATED_TAGS_LensHw = 123,
      GENERATED_TAGS_LensManager = 124,
      GENERATED_TAGS_LiveTuning = 125,
      GENERATED_TAGS_Ltm = 126,
      GENERATED_TAGS_MANUAL_POST_PROCESSING = 127,
      GENERATED_TAGS_MakerNote = 128,
      GENERATED_TAGS_MediaControl = 129,
      GENERATED_TAGS_MetadataConvert = 130,
      GENERATED_TAGS_MockCamera3HAL = 131,
      GENERATED_TAGS_MockCameraHal = 132,
      GENERATED_TAGS_MockSysCall = 133,
      GENERATED_TAGS_MonoDsPipeline = 134,
      GENERATED_TAGS_MonoDsProcessor = 135,
      GENERATED_TAGS_MsgHandler = 136,
      GENERATED_TAGS_OpenSourceGFX = 137,
      GENERATED_TAGS_PGCommon = 138,
      GENERATED_TAGS_PGUtils = 139,
      GENERATED_TAGS_PSysDAG = 140,
      GENERATED_TAGS_PSysP2pLite = 141,
      GENERATED_TAGS_PSysPipe = 142,
      GENERATED_TAGS_PSysPipeBase = 143,
      GENERATED_TAGS_PSysProcessor = 144,
      GENERATED_TAGS_ParameterGenerator = 145,
      GENERATED_TAGS_ParameterHelper = 146,
      GENERATED_TAGS_ParameterResult = 147,
      GENERATED_TAGS_Parameters = 148,
      GENERATED_TAGS_ParserBase = 149,
      GENERATED_TAGS_PipeExecutor = 150,
      GENERATED_TAGS_PipeLiteExecutor = 151,
      GENERATED_TAGS_PlatformData = 152,
      GENERATED_TAGS_PnpDebugControl = 153,
      GENERATED_TAGS_PolicyParser = 154,
      GENERATED_TAGS_PostProcessor = 155,
      GENERATED_TAGS_PostProcessorBase = 156,
      GENERATED_TAGS_PostProcessorCore = 157,
      GENERATED_TAGS_PrivateStream = 158,
      GENERATED_TAGS_ProcessorManager = 159,
      GENERATED_TAGS_RequestManager = 160,
      GENERATED_TAGS_RequestThread = 161,
      GENERATED_TAGS_ResultProcessor = 162,
      GENERATED_TAGS_SWJpegEncoder = 163,
      GENERATED_TAGS_SWPostProcessor = 164,
      GENERATED_TAGS_ScalePipeline = 165,
      GENERATED_TAGS_ScaleProcessor = 166,
      GENERATED_TAGS_SensorHwCtrl = 167,
      GENERATED_TAGS_SensorManager = 168,
      GENERATED_TAGS_SensorOB = 169,
      GENERATED_TAGS_ShareRefer = 170,
      GENERATED_TAGS_SofSource = 171,
      GENERATED_TAGS_StreamBuffer = 172,
      GENERATED_TAGS_SwImageConverter = 173,
      GENERATED_TAGS_SwImageProcessor = 174,
      GENERATED_TAGS_SyncManager = 175,
      GENERATED_TAGS_SysCall = 176,
      GENERATED_TAGS_TCPServer = 177,
      GENERATED_TAGS_Thread = 178,
      GENERATED_TAGS_Trace = 179,
      GENERATED_TAGS_TunningParser = 180,
      GENERATED_TAGS_Utils = 181,
      GENERATED_TAGS_V4l2DeviceFactory = 182,
      GENERATED_TAGS_V4l2_device_cc = 183,
      GENERATED_TAGS_V4l2_subdevice_cc = 184,
      GENERATED_TAGS_V4l2_video_node_cc = 185,
      GENERATED_TAGS_VendorTags = 186,
      GENERATED_TAGS_WeavingPipeline = 187,
      GENERATED_TAGS_WeavingProcessor = 188,
      GENERATED_TAGS_camera_metadata_tests = 189,
      GENERATED_TAGS_icamera_metadata_base = 190,
      GENERATED_TAGS_metadata_test = 191,
      ST_FPS = 192,
      ST_GPU_TNR = 193,
      ST_STATS = 194,
};

#define TAGS_MAX_NUM 195

#endif
// !!! DO NOT EDIT THIS FILE !!!
